Class | Bio::FlatFileIndex::Flat_1::SecondaryNameSpace
In: | lib/bio/io/flatfile/index.rb
Parent: | Template::NameSpace

secondary name space

Internal use only.

### Methods

filename mapping search

### Public Instance methods

filename()

[Source]

          # File lib/bio/io/flatfile/index.rb, line 1040
    1040:         def filename
    1041:           File.join(dbname, "id_#{name}.index")
    1042:         end

mapping(filename)

[Source]

          # File lib/bio/io/flatfile/index.rb, line 1037
    1037:         def mapping(filename)
    1038:           FlatMappingFile.new(filename)
    1039:         end

search(key)

[Source]

          # File lib/bio/io/flatfile/index.rb, line 1043
    1043:         def search(key)
    1044:           r = super(key)
    1045:           file.close
    1046:           r.flatten!
    1047:           r
    1048:         end

[Validate]